#grid table {
  -webkit-user-select: none;
}

.gameContainer {
  border: solid 2px #D0091E;
  padding-bottom: 50px;
  border-radius: 8px;
  margin-top: 1rem;
  background: #ececec;
}

.spinner-border {
  width: 6rem;
  height: 6rem;
  margin: auto;
  border-width: 10px;
  color: var(--color-primary) !important;
  margin: auto;
  display: none;
}

.card-header {
  background-color: #D0091E !important;
}

.letter {
  position: absolute;
  text-align: center;
  display: flex;
  border-radius: 100%;
  background-color: transparent;
  transition: border .3s, background .3s, transform .3s;
  cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  align-items: center;
  width: 25%;
  height: 25%;
  border: solid 5px #e4e4e4;
  background: #fff;
}

.mystery {
  font-weight: bold;
  letter-spacing: 1px;
  color: #D0091E;
}

.overlay .mystery span {
  width: 25px;
  height: 35px;
  background: #fff;
  margin: 2px;
  color: #333;
  text-align: center;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 24px;
  cursor: pointer;
}

.mystery span.active {
  background: #D0091E;
  color: #fff;
}

#letter_0 {
  left: calc(50% - 12.5%);
  top: calc(-10%);
}

#mozzleInput {
  font-size: 24px;
  font-weight: bold;
}

#mozzle {
  background-color: #ececec;
}

#mozzle,
#mozzle .validate_grid,
#mozzle .letter {
  border: solid 10px #D0091E;
}

#mozzle .letter:not(.validate_grid) {
  border-width: 5px !important;
}

#mozzle .validate_grid:hover {
  border: solid 1.5vw #fca110;
}

#mozzle .validate_grid.win {
  border: solid 2.5vw #8bc34a;
}

#mozzle .validate_grid.loose {
  border: solid 2vw #F44336;
}

.letter:not(.validate_grid):hover {
  background-color: #D0091E;
  color: #fff;
}

@media screen and (min-height : 650px) {
  #mozzle .validate_grid:hover {
    border: solid 20px #fca110;
  }

  #mozzle .validate_grid.win {
    border: solid 30px #8bc34a;
  }

  #mozzle .validate_grid.loose {
    border: solid 30px #D0091E;
  }
}


#letter_1 {
  left: -5%;
  top: 10%;
}

#letter_2 {
  right: -5%;
  top: 10%;
}

#letter_3 {
  left: -10%;
  top: 50%;
}

#letter_4 {
  right: -10%;
  top: 50%;
}

#letter_5 {
  left: 15%;
  top: 80%;
}

#letter_6 {
  right: 15%;
  top: 80%;
}

.letter:active {
  transform: scale(1.2);
}

#mozzle {
  margin: auto;
  border-radius: 100%;
  position: relative;
  animation-duration: 0.5s;
  background: #fff;
  display: flex;
  z-index: 9;
  min-width: 250px;
  min-height: 250px;
  margin-top: 50px;
}

#mozzle .validate_grid {
  display: flex;
  align-items: center;
  position: relative;
  margin: auto;
  width: 50%;
  height: 50%;
  border: solid 10px #D0091E;
}

.gameLoose {
  display: none !important
}

.validate_grid i {
  margin: auto;
  font-size: 100px;
}

.validate_grid.loose .gameLoose {
  display: block !important
}

.validate_grid.loose .gameCheck {
  display: none !important
}

.validate_grid.loading i {
  display: none !important
}

.validate_grid.loading {
  pointer-events: none;
}

.validate_grid.loading .spinner-border {
  display: block !important
}

.letter span {
  vertical-align: middle;
  margin: auto;
  text-transform: uppercase;
  font-size: 40px;
  font-weight: bold;
}

@media screen and (max-width:768px) {
  .validate_grid i {
    padding: 0px;
    font-size: 80px;
  }

  .letter span {
    font-size: 30px;
  }
}

@media screen and (max-width : 768px) {

  .letter span,
  .mystery span {
    font-size: 20px !important;
  }

  .input {
    font-size: 25px
  }

  .clear {
    height: 38px
  }
}

@media screen and (max-height : 768px) {

  .letter span,
  .mystery span {
    font-size: 20px !important;
  }

  .validate_grid i {
    font-size: 8vh;
  }
}

.input {
  text-transform: uppercase;
  border-radius: 10px;
  border: 0px;
  width: 100%;
  font-size: 30px;
  padding-left: 10px;
  background: #f5f5f5;
  height: 100%;
}

.clear {
  display: flex;
  background: #e30415;
  color: #fff;
  border-radius: 10px;
  text-align: center;
  cursor: pointer;
  width: 100%;
  height: 100%;
  width: 45px;
  align-items: center;
  position: absolute;
  top: 0;
  right: 0;
}

.clear i {
  color: #fff;
  margin: auto;
  font-size: 35px;
}

.modal .mystery span {
  border: solid 1px;
  text-align: center;
  display: inline-block;
  padding: 3px;
  cursor: pointer;
  min-width: 12%;
}

.modal .mystery span:hover {
  background: #bbb;
}

.mystere span {
  font-size: 25px;
  font-weight: bold;
}

.mozzleSidebar label {
  font-weight: 600;
  opacity: .5;
  font-size: 14px;
}


@media screen and (max-width: 769px) {

  .mozzle-container {
    flex-direction: column-reverse;
  }

  .mystere.mobile {
    display: block;
  }

  .mystere:not(.mobile) {
    display: none;
  }
}